Page MenuHomePhabricator

monitor legalpad instance
Closed, ResolvedPublic

Description

Some funky troubleshooting by folks yesterday ended up leaving the email daemon in a bad state. This kind of thing happens, the real issue is that monitoring hasn't been on the table as of yet. Need to fix this.

Monitor state of phd services
Monitor availability of phab interface

anything else?

Details

Reference
fl444

Event Timeline

flimport raised the priority of this task from to Needs Triage.Sep 12 2014, 1:41 AM
flimport added a project: Legalpad.
flimport set Reference to fl444.

aklapper wrote on 2014-07-09 14:54:44 (UTC)

leaving the email daemon in a bad state

Also see https://bugzilla.wikimedia.org/show_bug.cgi?id=65861

aklapper wrote on 2014-08-31 15:58:27 (UTC)

@Rush: Any guestimation how much work it would be to set this up?

qgil wrote on 2014-08-31 17:41:58 (UTC)

Do we need serious monitoring for this instance at this point? It will be eventually merged to Wikimedia Phabricator.

Rush wrote on 2014-09-02 16:56:32 (UTC)

I think there is a lot to be worked out for legalpad, I'm not sure what the timeline expectation is on eventually but it's nowhere on my radar to get done.

Qgil triaged this task as Low priority.Sep 21 2014, 2:07 PM
Qgil added a subscriber: Qgil.

I wonder whether this task is still relavent, considering that legalpad.wikimedia.org will be just the Legalpad here soon.

@chasemp, in a meeting today with the Legal team we have agreed that they will not start using legalpad.phabricator.org at this point, and that they will wait for T656: Enable Legalpad instead.

At this point this is better than creating a bunch of new records now that someone will want to migrate in the future. I guess this is also better than having to monitor a second instance just for this use case.

So if you want, this task can be closed. Ah yes, I can almost read your mind. :)

To be superseded by T656 (once resolved) && T957?

chasemp claimed this task.

Safe to say this is not going to be used for anything production.